Name:           freedv
## NOTE DO NOT try to update this package to 2.0.0 - it is not possible (or desired) yet. (barjac)
Version:        1.9.9.2
Release:        %mkrel 1.2
Summary:        Digital Voice for Amateur Radio
Group:          Communications/Radio
License:        GPLv2+
URL:            https://freedv.org/
# http://files.freedv.org/freedv
# https://groups.google.com/forum/#!forum/digitalvoice
Source0:        https://github.com/drowe67/%{name}-gui/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}48x48.png
Source2:        %{name}64x64.png
Source3:        %{name}128x128.png
Source4:        %{name}256x256.png

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  git-core
BuildRequires:  libsioclient-devel >= 3.1.0.1
BuildRequires:  lpcnetfreedv-devel >= 0.5
BuildRequires:  pkgconfig(codec2) >= 1.2
BuildRequires:  pkgconfig(hamlib) >= 4.6
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(sox)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(speexdsp)
BuildRequires:  wxgtku3.2-devel >= 3.2

Recommends:     hamlib-utils >= 4.6

%description
FreeDV is a GUI application that allows any SSB radio to
be used for low bit rate digital voice.

Speech is compressed down to 1400 bit/s then modulated onto a 1100 Hz wide QPSK
signal which is sent to the Mic input of a SSB radio. On receive, the signal is
received by the SSB radio, then demodulated and decoded by FreeDV.

FreeDV was built by an international team of Radio Amateurs working together on
coding, design, user interface and testing. FreeDV is open source software,
released under the GNU Public License version 2.1. The FDMDV modem and Codec 2
Speech codec used in FreeDV are also open source.

%prep
%autosetup -p1 -n %{name}-gui-%{version}

%build
%cmake \
  -DUSE_PULSEAUDIO=1 \
  -DUSE_STATIC_CODEC2=FALSE \
  -DUSE_STATIC_SPEEXDSP=FALSE
%cmake_build

%install
%cmake_install

# Tweak upstream desktop file
desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications \
    --remove-category='GTK' \
    --remove-category='GNOME' \
    --add-category='X-Mageia-CrossDesktop' \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
# Don't allow gpsd to grab /dev/ttyUSB0 for generic uarts used by hamlib.
if [ -f /etc/sysconfig/gpsd ]; then
    sed -i 's:USBAUTO="true":USBAUTO="false":' /etc/sysconfig/gpsd
fi

%files
%doc README.md USER_MANUAL.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}-gui/
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.9.9.2-1.2.mga10
+ Revision: 2224332
- Mageia 10 Mass Rebuild
+ barjac <barjac>
- Add WARNING to spec to NOT update. 2.0.0 will be a totally different package.

* Sun Jun 09 2024 barjac <barjac> 1.9.9.2-1.mga10
+ Revision: 2071865
- new version 1.9.9.2

* Sun Apr 14 2024 barjac <barjac> 1.9.9.1-1.mga10
+ Revision: 2057341
- new version 1.9.9.1

* Sat Apr 13 2024 barjac <barjac> 1.9.8-2.mga10
+ Revision: 2056790
- rebuild for libsioclient

* Tue Feb 06 2024 barjac <barjac> 1.9.8-1.mga10
+ Revision: 2038181
- new version 1.9.8
- update some dep versions

* Sat Jan 20 2024 barjac <barjac> 1.9.7.2-1.mga10
+ Revision: 2032253
- new version 1.9.7.2

* Thu Jan 18 2024 barjac <barjac> 1.9.7.1-1.mga10
+ Revision: 2031915
- new version 1.9.7.1

* Mon Jan 15 2024 barjac <barjac> 1.9.7-1.mga10
+ Revision: 2031376
- new version 1.9.7
- Dont allow gpsd to grab /dev/ttyUSB0 for generic uarts used by hamlib
- Recommend hamlib-utils (for rigctld)
+ wally <wally>
- properly fix missing debug symbols

* Thu Jun 15 2023 barjac <barjac> 1.8.11-2.mga9
+ Revision: 1962052
- add missing debug packages

* Wed Jun 14 2023 barjac <barjac> 1.8.11-1.mga9
+ Revision: 1961956
- new version 1.8.11
- fixes major upstream bug where configs were lost between runs
- remove portaudio and replace with pulseaudio BR this fixes runtime bug

* Sun Jun 04 2023 barjac <barjac> 1.8.10.1-1.mga9
+ Revision: 1960879
- new version 1.8.10.1
- new BuildRequires: libsioclient-devel

* Tue May 02 2023 barjac <barjac> 1.8.9-1.mga9
+ Revision: 1955640
- new version 1.8.9

* Wed Jan 25 2023 barjac <barjac> 1.8.7-1.mga9
+ Revision: 1936069
- new version 1.8.7

* Mon Dec 05 2022 barjac <barjac> 1.8.5-1.mga9
+ Revision: 1918184
- new version 1.8.5

* Sat Nov 05 2022 barjac <barjac> 1.8.4-1.mga9
+ Revision: 1903550
- new verion 1.8.4

* Sun Sep 18 2022 barjac <barjac> 1.8.3.1-1.mga9
+ Revision: 1889788
- new version 1.8.3.1

* Fri Sep 09 2022 barjac <barjac> 1.8.3-1.mga9
+ Revision: 1886141
- new version 1.8.3

* Sun Jul 24 2022 barjac <barjac> 1.8.2-1.mga9
+ Revision: 1870581
- new version 1.8.2

* Thu Feb 17 2022 barjac <barjac> 1.7.0-1.mga9
+ Revision: 1778382
- new version 1.7.0
- update files list

* Thu Jan 20 2022 barjac <barjac> 1.6.1-3.mga9
+ Revision: 1769317
- rebuild for codec2-1.0.3
- update required versions of codec2 and lpcnetfreedv

* Tue Oct 05 2021 barjac <barjac> 1.6.1-2.mga9
+ Revision: 1749483
- Rebuild for lpcnet/codec2
- remove un-needed patch

* Tue Sep 28 2021 barjac <barjac> 1.6.1-1.mga9
+ Revision: 1746827
- new version 1.6.1
- use codec2 >= 1.0.1
- New version 1.6.0
- Removed obsolete patch
- Patched to fix build removes missing symbol in about dialogue

* Fri Jan 01 2021 wally <wally> 1.4-4.mga8
+ Revision: 1667699
- rebuild for wxgtk pre 3.1.5 snapshot

* Sat Oct 31 2020 barjac <barjac> 1.4-3.mga8
+ Revision: 1640761
- rebuild for hamlib-4.1

* Tue Sep 01 2020 barjac <barjac> 1.4-2.mga8
+ Revision: 1620702
- Correct Source0

* Mon Aug 31 2020 barjac <barjac> 1.4-1.mga8
+ Revision: 1620537
- new version 1.4 syncd with Fedora
- new BR lpcnetfreedv-devel
- updated required versions od some BRs
- Fd patch to recent master
- changed source0 to match compression
- Updated docs and used %%licence macro
- rebuild for codec2-0.9.2

* Sun Aug 16 2020 wally <wally> 1.3.1-8.mga8
+ Revision: 1614338
- rebuild for new wxgtk 3.1.4

* Thu Feb 20 2020 umeabot <umeabot> 1.3.1-7.mga8
+ Revision: 1546338
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 barjac <barjac> 1.3.1-6.mga8
+ Revision: 1486358
- rebuild for hamlib-4.0
+ wally <wally>
- build with new cmake macros

* Tue Nov 12 2019 wally <wally> 1.3.1-5.mga8
+ Revision: 1459462
- rebuild for wxgtk 3.1.3

* Mon Jul 08 2019 wally <wally> 1.3.1-4.mga8
+ Revision: 1419527
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jul 07 2019 wally <wally> 1.3.1-3.mga8
+ Revision: 1419388
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 1.3.1-2.mga7
+ Revision: 1297768
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 barjac <barjac> 1.3.1-1.mga7
+ Revision: 1235269
- new version 1.3.1
  fix Source0
  fix files list

* Thu Dec 21 2017 barjac <barjac> 1.2.2-2.mga7
+ Revision: 1183731
- rebuild for arm & add codec2 >= 0.7

* Thu Dec 21 2017 barjac <barjac> 1.2.2-1.mga7
+ Revision: 1183714
- new version 1.2.2

* Sat Jun 03 2017 akien <akien> 1.1-5.mga6
+ Revision: 1106092
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 1.1-4.mga6
+ Revision: 1019811
- rebuild for wxgtk3.0 built with GTK2

* Sun Feb 14 2016 umeabot <umeabot> 1.1-2.mga6
+ Revision: 960114
- Mageia 6 Mass Rebuild

* Wed Nov 04 2015 barjac <barjac> 1.1-1.mga6
+ Revision: 897724
- new version 1.1

* Mon Sep 14 2015 daviddavid <daviddavid> 1.0-2.mga6
+ Revision: 879280
- rebuild for new sox 14.4.2

* Mon Aug 24 2015 barjac <barjac> 1.0-1.mga6
+ Revision: 869173
- new version 1.0
- new BR speexdsp
- added cmake options to use system speex and codec2
- fix doc files list

* Fri Aug 14 2015 ycantin <ycantin> 0.97.0-3.mga6
+ Revision: 864693
- rebuild for new wxgtk built with wxRE_ADVANCED

* Thu Jul 23 2015 akien <akien> 0.97.0-2.mga6
+ Revision: 856365
- Rebuild for wxgtk with gtk3

* Sat Feb 07 2015 barjac <barjac> 0.97.0-1.mga5
+ Revision: 814001
- Adapt for Mageia
- Import freedv with thanks to Fedora


* Tue Jun 17 2014 Richard Shaw <hobbes1069@gmail.com> - 0.97.0-1
- Update to latest upstream release.

* Sat May 24 2014 Richard Shaw <hobbes1069@gmail.com> - 0.96.7-1
- Latest release.

* Fri Mar 28 2014 Richard Shaw <hobbes1069@gmail.com> - 0.96.5-5
- Update to later svn checkout, 1481.

* Sun Mar 23 2014 Richard Shaw <hobbes1069@gmail.com> - 0.96.5-4
- Try test build with patch to remove libctb dependence.

* Sun Sep 15 2013 Richard Shaw <hobbes1069@gmail.com> - 0.96.5-3
- Update to latest checkout.

* Fri Apr 12 2013 Richard Shaw <hobbes1069@gmail.com> - 0.96-1
- Updated to lastest svn checkout (rev 1231).
- Updated spec to meet Fedora Packaging Guidelines.
- Created new icon and desktop files
- Implemented cmake based build configuration.

* Sun Dec 23 2012 Mike Heitmann <mheitmann@n0so.net> 0.91-3
- Made libctb, wxWidgets, codec2 separate rpm packages

* Sat Dec 22 2012 Mike Heitmann <mheitmann@n0so.net> 0.91-2
- Updated spec to use %%{_libdir} and %%{_bindir} macros

* Sun Dec 16 2012 Mike Heitmann <mheitmann@n0so.net> 0.91-1
- Initial SPEC

